<?php
global $db, $INCLUDE_FOLDER, $MODULE_VARS, $ADMIN_FOLDER, $TMP_FOLDER;

$module = $db->get_var("SELECT `Module_ID` FROM `Module` WHERE `Keyword` = 'auth'");

$modules_vars = $nc_core->modules->get_vars('auth');

$db->query("INSERT INTO `Settings` (`Key`, `Value`, `Module`) VALUES('group', '".$db->escape($modules_vars['USER_GROUP'])."', 'auth');");
$db->query("INSERT INTO `Settings` (`Key`, `Value`, `Module`) VALUES('premoderation', '".$db->escape($modules_vars['USER_PREMODERATION'])."', 'auth');");
$db->query("INSERT INTO `Settings` (`Key`, `Value`, `Module`) VALUES('confirm', '".$db->escape($modules_vars['USER_CONFIRMATION'])."', 'auth');");
$db->query("INSERT INTO `Settings` (`Key`, `Value`, `Module`) VALUES('modify_sub', '".$db->escape($modules_vars['USER_MODIFY_SUB'])."', 'auth');");
$db->query("INSERT INTO `Settings` (`Key`, `Value`, `Module`) VALUES('notify_admin', '".$db->escape($modules_vars['USER_REG_NOTIFY'])."', 'auth');");
$db->query("INSERT INTO `Settings` (`Key`, `Value`, `Module`) VALUES('user_list_cc', '".$db->escape($modules_vars['USER_LIST_CC'])."', 'auth');");
$db->query("INSERT INTO `Settings` (`Key`, `Value`, `Module`) VALUES('pm_class_id', '".$db->escape($modules_vars['USER_MESSAGES_CLASS'])."', 'auth');");
$db->query("INSERT INTO `Settings` (`Key`, `Value`, `Module`) VALUES('bind_to_catalogue', '".$db->escape($modules_vars['USER_BIND_TO_CATALOGUE'])."', 'auth');");
$db->query("INSERT INTO `Settings` (`Key`, `Value`, `Module`) VALUES('online_timeleft', '".$db->escape($modules_vars['USER_ONLINE_TIME_LEFT'])."', 'auth');");
$db->query("INSERT INTO `Settings` (`Key`, `Value`, `Module`) VALUES('ip_check_level', '".$db->escape($modules_vars['IP_CHECK_LEVEL'])."', 'auth');");
$db->query("INSERT INTO `Settings` (`Key`, `Value`, `Module`) VALUES('with_subdomain', '".$db->escape($modules_vars['COOKIES_WITH_SUBDOMAIN'])."', 'auth');");
$db->query("INSERT INTO `Settings` (`Key`, `Value`, `Module`) VALUES('pm_allow', '".$db->escape($modules_vars['PERSONAL_MESSAGES_ENABLED'])."', 'auth');");
$db->query("INSERT INTO `Settings` (`Key`, `Value`, `Module`) VALUES('hash_disabled_subs', '".$db->escape($modules_vars['AUTH_HASH_DISABLED_SUBS'])."', 'auth');");
$db->query("INSERT INTO `Settings` (`Key`, `Value`, `Module`) VALUES('hash_delete', '".$db->escape($modules_vars['AUTH_HASH_DELETE_HASH'])."', 'auth');");
$db->query("INSERT INTO `Settings` (`Key`, `Value`, `Module`) VALUES('hash_expire', '".$db->escape($modules_vars['AUTH_HASH_EXPIRE'])."', 'auth');");
$db->query("INSERT INTO `Settings` (`Key`, `Value`, `Module`) VALUES('autoauthorize', '".$db->escape($modules_vars['USER_AUTHORIZE_AFTER_CONFIRM'])."', 'auth');");
$db->query("INSERT INTO `Settings` (`Key`, `Value`, `Module`) VALUES('pseudo_enabled', '".$db->escape($modules_vars['PSEUDOUSERS_ENABLED'])."', 'auth');");
$db->query("INSERT INTO `Settings` (`Key`, `Value`, `Module`) VALUES('pseudo_group', '".$db->escape($modules_vars['PSEUDOUSERS_GROUP'])."', 'auth');");
$db->query("INSERT INTO `Settings` (`Key`, `Value`, `Module`) VALUES('pseudo_field', '".$db->escape($modules_vars['PSEUDOUSERS_FIELD'])."', 'auth');");
$db->query("INSERT INTO `Settings` (`Key`, `Value`, `Module`) VALUES('authtype_site', '".($modules_vars['AUTH_HASH_ENABLED'] ? 3 : 1)."', 'auth');"); 
$db->query("INSERT INTO `Settings` (`Key`, `Value`, `Module`) VALUES('authtype_admin', '".($modules_vars['AUTH_HASH_ENABLE_ADMIN'] ? 11 : 9)."', 'auth');"); 

// группа пользователей "Авторизированные через внешние сервисы"
$db->query("INSERT INTO `PermissionGroup` (`PermissionGroup_Name`) VALUES ('".to_u("Авторизированные через внешние сервисы")."')");
$perm_group = $db->insert_id;
$db->query("INSERT INTO `Settings` (`Key`, `Value`, `Module`) VALUES('ex_group', 'a:4:{s:2:\"vk\";a:1:{i:0;s:1:\"".$perm_group."\";}s:2:\"fb\";a:1:{i:0;s:1:\"".$perm_group."\";}s:7:\"twitter\";a:1:{i:0;s:1:\"".$perm_group."\";}s:6:\"openid\";a:1:{i:0;s:1:\"".$perm_group."\";}}', 'auth')");

// таблица User
$t = $db->get_results("SHOW FIELDS FROM `User`", ARRAY_A); 
foreach ( $t as $v ) {
  $user_fields[] = $v['Field'];
}

// проверка для Account
if( in_array('Account',$user_fields ) ) {
  $db->query("ALTER TABLE `User` ADD COLUMN `ncAccount` INT DEFAULT 0;");
  $db->query("INSERT INTO `Settings` (`Key`, `Value`, `Module`) VALUES('pa_field', 'ncAccount', 'auth');");
  $db->query("INSERT INTO `Field` (`Class_ID`, `Field_Name`, `Description`, `TypeOfData_ID`, `Format`, `NotNull`, `Priority`, `DoSearch`, `DefaultState`, `Inheritance`, `System_Table_ID`, `TypeOfEdit_ID`, `Checked`) VALUES(0, 'ncAccount', '".to_u("Личный счет")."', 2, '', 0, 5, 1, '0', 0, 3, 2,0);");
}
else {
  $db->query("ALTER TABLE `User` ADD COLUMN `Account` INT DEFAULT 0;");
  $db->query("INSERT INTO `Settings` (`Key`, `Value`, `Module`) VALUES('pa_field', 'Account', 'auth');");
  $db->query("INSERT INTO `Field` (`Class_ID`, `Field_Name`, `Description`, `TypeOfData_ID`, `Format`, `NotNull`, `Priority`, `DoSearch`, `DefaultState`, `Inheritance`, `System_Table_ID`, `TypeOfEdit_ID`, `Checked`) VALUES(0, 'Account', '".to_u("Личный счет")."', 2, '', 0, 5, 1, '0', 0, 3, 2,0);");
}

// смотрим какие поля реально существуют для ex_fields
$ex_fields = unserialize('a:4:{s:2:"vk";a:2:{s:9:"ForumName";s:10:"first_name";s:11:"ForumAvatar";s:9:"photo_big";}s:2:"fb";a:3:{s:9:"ForumName";s:4:"name";s:5:"Email";s:5:"email";s:11:"ForumAvatar";s:7:"picture";}s:7:"twitter";a:2:{s:9:"ForumName";s:4:"name";s:11:"ForumAvatar";s:17:"profile_image_url";}s:6:"openid";a:2:{s:9:"ForumName";s:8:"nickname";s:5:"Email";s:5:"email";}}');
foreach ($ex_fields as $key=>$value) {
	foreach ($value as $k=>$v) {
		if (in_array($k, $user_fields)) {
			 $ex_fields_new[$key][$k] = $v;
		}
	}
}
$ex_fields_str = serialize($ex_fields_new);
$db->query("INSERT INTO `Settings` (`Key`, `Value`, `Module`) VALUES('ex_fields', '".$ex_fields_str."', 'auth');");

// количество попыток авторизации
$db->query("ALTER TABLE `User` ADD COLUMN `ncAttemptAuth` INT DEFAULT 0;");


if ($module) $db->query("UPDATE `Module` SET `Parameters` = CONCAT(`Parameters`,'\r\nADMIN_SETTINGS_LOCATION=module.auth.general') WHERE `Module_ID` = '".$module."'"); 

$settings = $db->get_results("SELECT * FROM `Auth_Settings`");
foreach ($settings as $auth) {
	$settings_arr[$auth->SettingsKey] = $auth->Value;
}

$db->query("INSERT INTO `Settings` (`Key`, `Value`, `Module`) VALUES('user_login_form', '".$db->escape($settings_arr['UserLoginForm'])."', 'auth');");
if ($settings['UserLoginFormIsDisable']) $db->query("INSERT INTO `Settings` (`Key`, `Value`, `Module`) VALUES('user_login_form_disable', '".$db->escape($settings_arr['UserLoginFormIsDisable'])."', 'auth');");
$db->query("INSERT INTO `Settings` (`Key`, `Value`, `Module`) VALUES('change_password_form', '".$db->escape($settings_arr['ChangePasswordForm'])."', 'auth');");
$db->query("INSERT INTO `Settings` (`Key`, `Value`, `Module`) VALUES('recovery_password_form', '".$db->escape($settings_arr['PasswordRecoveryForm'])."', 'auth');");
$db->query("INSERT INTO `Settings` (`Key`, `Value`, `Module`) VALUES('mail_recovery_subject', '".$db->escape($settings_arr['MailPassRecoverySubj'])."', 'auth');");
$db->query("INSERT INTO `Settings` (`Key`, `Value`, `Module`) VALUES('mail_recovery_body', '".$db->escape($settings_arr['MailPassRecoveryText'])."', 'auth');");
if ($settings['MailPassRecoveryIsHtml']) $db->query("INSERT INTO `Settings` (`Key`, `Value`, `Module`) VALUES('mail_recovery_is_html', '".$db->escape($settings_arr['MailPassRecoveryIsHtml'])."', 'auth');");
$db->query("INSERT INTO `Settings` (`Key`, `Value`, `Module`) VALUES('mail_confirm_subject', '".$db->escape($settings_arr['MailRegConfirmSubj'])."', 'auth');");
$db->query("INSERT INTO `Settings` (`Key`, `Value`, `Module`) VALUES('mail_confirm_body', '".$db->escape($settings_arr['MailRegConfirmText'])."', 'auth');");
if ($settings['MailRegConfirmIsHtml']) $db->query("INSERT INTO `Settings` (`Key`, `Value`, `Module`) VALUES('mail_confirm_is_html', '".$db->escape($settings_arr['MailRegConfirmIsHtml'])."', 'auth');");

$db->captured_errors = 0;
$PAClass = ParseClassFile($TMP_FOLDER."modules/pa.tpl");
$db->query("INSERT INTO `Settings` (`Key`, `Value`, `Module`) VALUES('pa_class_id', '".$PAClass."', 'auth');");




?>