<?php

/* $Id: netcat_cron.php 4331 2011-03-16 03:34:08Z kx $ */

/**
 * Запуск из "крона" неткета
 */

$NETCAT_FOLDER = realpath("../../../../");
require_once("$NETCAT_FOLDER/vars.inc.php");
require_once($ROOT_FOLDER . "connect_io.php");

$nc_core = nc_core::get_object();
$nc_core->modules->load_env('ru');

error_reporting(E_ALL);
while (@ob_end_flush());

$secret_key = nc_core::get_object()->input->fetch_get("secret_key");
if ($secret_key != nc_search::get_setting('IndexerSecretKey')) {
  $file = __FILE__;
  nc_search::log(nc_search::LOG_ERROR,
    "Attempt to access '$file' with a wrong secret key '$secret_key' from $_SERVER[REMOTE_ADDR]");
  die("Access denied.");
}

nc_search::register_logger(new nc_search_logger_plaintext);
nc_search_scheduler::run(nc_search::INDEXING_NC_CRON);
