<?php

/**
 * $Id: corrector.php 4331 2011-03-16 03:34:08Z kx $
 */

/**
 * Базовый класс для расширений модуля, обеспечивающих исправление запросов
 * (таких, как spellchecker)
 */
abstract class nc_search_language_corrector implements nc_search_extension {
  
  protected $context;

  public function __construct(nc_search_context $context) {
    $this->context = $context;
  }  
  
  /**
   * @return boolean
   *   TRUE, если запрос был исправлен
   *   FALSE, если запрос не был исправлен
   */
  abstract public function correct(nc_search_language_corrector_phrase $phrase);
  
}
