<?php

/* $Id: stopwords.php 4331 2011-03-16 03:34:08Z kx $ */

/**
 * Фильтр стоп-слов
 */
class nc_search_language_filter_stopwords extends nc_search_language_filter {

  static protected $lists = array();

  public function filter(array $terms) {
    if (!nc_search::should('RemoveStopwords')) { return $terms; }
    
    $language = $this->context->get('language');

    if (!isset(self::$lists[$language])) {
      $query = "SELECT * FROM `%t%` WHERE `Language`='" . nc_search_util::db_escape($language) . "'";
      self::$lists[$language] = nc_search::load('nc_search_language_stopword', $query, 'word');
    }
    
    $stoplist = self::$lists[$language];
    $result = array();
    foreach ($terms as $term) {
      if (!$stoplist->has_key($term)) { $result[] = $term; }
    }

    return $result;
  }



}
