<?php

/* $Id: entry.php 4331 2011-03-16 03:34:08Z kx $ */

/**
 *
 */
class nc_search_logger_database_entry extends nc_search_data_persistent {

  protected $options = array(
      'id' => null,
      'timestamp' => null, // integer
      'type' => null,      // nc_search::LOG_xx constants, integer
      'message' => null,
  );

  protected $table_name = 'Search_Log';
  protected $mapping = array(
      'id' => 'Log_ID',
      '_generate' => true,
  );


  /**
   * 
   * @param integer $type
   * @param string $message
   */
  public function save() {
    $this->set('timestamp', nc_search_util::sql_datetime());
    return parent::save();
  }

}