<?php
/*$Id*/
if ( !class_exists("nc_System") ) die("Unable to load file.");
/**
 * Вывод формы для выбора типов показываемых классов
 * 
 * @param int type: all, used, unused
 */
function show_form_for_select ( $type = 0 ) {
  global $UI_CONFIG;
  
  $UI_CONFIG->actionButtons[] = array("id" => "submit",
                                        "align" => "left",
                                        "caption" => REPORTS_STAT_CLASS_DOGET,
                                        "action" => "mainView.submitIframeForm('sel')");
  $UI_CONFIG->actionButtons[] = array("id" => "submit",
                                        "caption" => NETCAT_MODERATION_COMMON_KILLALL,
                                        "action" => "mainView.submitIframeForm('del')");
  ?>
    <form method='POST' action='index.php' name='sel' id='sel'>
      <?=REPORTS_STAT_CLASS_SHOW ?> <select name='type' onchange='javascript: top.mainView.submitIframeForm("sel")'>
        <option value='0' <?=($type == 0 ?' selected' : '') ?>><?=REPORTS_STAT_CLASS_ALL?></option>
        <option value='1' <?=($type == 1 ?' selected' : '') ?>><?=REPORTS_STAT_CLASS_USE?></option>
        <option value='2' <?=($type == 2 ?' selected' : '') ?>><?=REPORTS_STAT_CLASS_NOTUSE?></option>
      </select>
      <input type='hidden' name='phase' value='2'>
    </form>   
  <? 
  return;
}

/**
 * Show confirm deleting object
 *
 * @param array post
 */
function confim_delete_sub_class_object ($array) {
  global $UI_CONFIG, $db, $nc_core;
  $in = array();
  reset($array);
  while (list($key, $val) = each($array)) {
    if ( nc_substr($key, 0, 6 ) ==  "Delete" )  $in[] = intval($val);
  }
  $in_array = join(',', $in);
  $sub_class = $db->get_col("SELECT `Sub_Class_Name` FROM `Sub_Class` WHERE Sub_Class_ID IN(".$in_array.")");
  if ( $db->num_rows ) {
    print "<form action='index.php' method='post'>\n
             <input type='hidden' name='phase' value='4'>\n
             <input type='hidden' name='sub_class' value='".$in_array."'>\n
             ".$nc_core->token->get_input()."
           </form>\n";
    
    nc_print_status(REPORTS_STAT_CLASS_CONFIRM, 'ok');
    print "<ui>";
    foreach ($sub_class as $v) print "<li>".$v; 
    
    $UI_CONFIG->actionButtons[] = array("id" => "submit",
                                        "caption" => REPORTS_STAT_CLASS_CONFIRM_OK,
                                        "action" => "mainView.submitIframeForm()");
  }
  else {
    nc_print_status(REPORTS_STAT_CLASS_NOT_CC, 'error');  
  }  
}


function nc_report_status () {
 $nc_core = nc_Core::get_object();

 $safe_mode = ini_get('safe_mode');
 $allow_url_fopen = ini_get('allow_url_fopen');
 $upload_tmp_dir = ini_get('upload_tmp_dir');
 $mbstring = extension_loaded("mbstring");
 $iconv = extension_loaded("iconv");
 $gd = extension_loaded("gd");
 $gd_version = $gd ?  gd_info() : 0;

 $pr = $nc_core->DOCUMENT_ROOT.$nc_core->SUB_FOLDER;
 $folder = array ( $nc_core->HTTP_FILES_PATH => $pr.$nc_core->HTTP_FILES_PATH,
                   $nc_core->HTTP_DUMP_PATH => $pr.$nc_core->HTTP_DUMP_PATH,
                   $nc_core->HTTP_CACHE_PATH => $pr.$nc_core->HTTP_CACHE_PATH,
                   $nc_core->HTTP_ROOT_PATH.'tmp/' => $pr.$nc_core->HTTP_ROOT_PATH.'tmp/');
 if ( $upload_tmp_dir ) $folder[$upload_tmp_dir] = $upload_tmp_dir;


 
  $html = "
  <div class='reportstatus' >
    <div class='title'>NetCat</div>
    <div class='name'>Версия</div>
    <div class='value'>4.2</div>
    <div claas='req'>Ok</div>
    <div style='clear:both;'></div>
    <div class='name'>Последнее обновление</div>
    <div class='value'>420</div>
    <div claas='req'>Ok</div>
    <div style='clear:both;'></div>
  </div>
  <div class='reportstatus' >
    <div class='title'>PHP ( <a href='report.php?phase=2'>phpinfo</a> )</div>
    <div class='name'>Версия</div>
    <div class='value'>".  phpversion()."</div>
    <div claas='req'>Ok</div>
    <div style='clear:both;'></div>
    <div class='name'>safe_mode</div>
    <div class='value'>".($safe_mode ? "Включен" : "Выключен")."</div>
    <div claas='req'>Ok</div>
    <div style='clear:both;'></div>
    <div class='name'>allow_url_fopen</div>
    <div class='value'>".($allow_url_fopen ? "Включен" : "Выключен")."</div>
    <div claas='req'>Ok</div>
    <div style='clear:both;'></div>
    <div class='name'>Mbstring</div>
    <div class='value'>".($mbstring ? "Включен" : "Выключен")."</div>
    <div claas='req'>Ok</div>
    <div style='clear:both;'></div>
    <div class='name'>Iconv</div>
    <div class='value'>".($iconv ? "Включен" : "Выключен")."</div>
    <div claas='req'>Ok</div>
    <div style='clear:both;'></div>
    <div class='name'>Библиотека GD</div>
    <div class='value'>".($gd_version ? $gd_version['GD Version'] : "-")."</div>
    <div claas='req'>Ok</div>
    <div style='clear:both;'></div>
  </div>
  <div class='reportstatus' >
    <div class='title'>Запись в директории</div>";

  foreach ( $folder as $k => $v ) {
    $is_writable = is_writable($v);
    $html .= "
      <div class='name'>".$k."</div>
      <div class='value'>".($is_writable ? "Ok" : "Fail")."</div>
      <div claas='req'>Ok</div>
      <div style='clear:both;'></div>
    ";
  }
  $html .= "
   </div>";

  return $html;
}

class ui_config_general_stat extends ui_config {

  function ui_config_general_stat( $active = 'totalstat') {

    global $db;
    
 

    $this->headerText = SECTION_INDEX_REPORTS_STATS;
    $this->headerImage = 'i_folder_big.gif';
    
    $this->tabs[] = array('id' => 'totalstat',
        	                  'caption' => REPORTS,
            	              'location' => "tools.totalstat");
    $this->tabs[] = array('id' => 'class_stat',
        	                  'caption' => REPORTS_CLASS,
            	              'location' => "tools.totalstat(2)");
	  
	
    $this->activeTab = $active;
    $this->locationHash = "#tools.totalstat(".($active == 'totalstat' ? 1 : 2).")";
 

 
  }
}

?>

