<?php
/* $Id: template.inc.php 4739 2011-05-27 16:09:34Z denis $ */

function BeginHtml ($title = "", $location = "", $HelpURL = "", $module = '') {
  global $NO_RIGHTS_MESSAGE, $REMIND_SAVE, $LAST_LOCAL_PATCH;
  global $SUB_FOLDER, $ADMIN_TEMPLATE, $ADMIN_PATH, $HTTP_ROOT_PATH;
  global $nc_core;

	// $title - то, что стоит между тэгами <title>
  $NO_RIGHTS_MESSAGE = NETCAT_MODERATION_ERROR_NORIGHTS;

  $lang = $nc_core->lang->detect_lang(1);
  if ( $lang == 'ru' ) $lang = $nc_core->NC_UNICODE ? "ru_utf8" : "ru_cp1251";

  // файл со стилями модуля
  $module_css  = '';
  if ( $module && file_exists($nc_core->MODULE_FOLDER.$module."/admin.css" )) {
    $module_css = $SUB_FOLDER.$nc_core->HTTP_ROOT_PATH."modules/".$module."/admin.css";
    $module_css = "<link type='text/css' rel='Stylesheet' href='".$module_css."'>\n";
  }

   // файл со js модуля
  $module_js  = '';
  if ( $module && file_exists($nc_core->MODULE_FOLDER.$module."/admin.js" )) {
    $module_js = $SUB_FOLDER.$nc_core->HTTP_ROOT_PATH."modules/".$module."/admin.js";
    $module_js = "<script type='text/javascript' src='".$module_js."'></script>\n";
  }
  
  ?><html lang='<?=MAIN_LANG?>' dir='<?=MAIN_DIR?>'>
  <head>
  <title><?=($title ? $title : "NetCat")?></title>
  <meta http-equiv='Content-Type' content='text/html; charset=<?=$nc_core->NC_CHARSET?>'>
  <link type='text/css' rel='Stylesheet' href='<?=$ADMIN_TEMPLATE?>css/admin.css?<?=$LAST_LOCAL_PATCH?>'>
  <link type='text/css' rel='Stylesheet' href='<?=$ADMIN_TEMPLATE?>css/sprites.css?<?=$LAST_LOCAL_PATCH?>'>
  <?=$module_css?>
  <script type='text/javascript' src='<?=$ADMIN_PATH?>js/lang/<?=$lang?>.js?<?=$LAST_LOCAL_PATCH?>' charset="<?=$nc_core->NC_CHARSET?>"></script>
  <script type='text/javascript' src='<?=$ADMIN_PATH?>js/lib.js?<?=$LAST_LOCAL_PATCH?>'></script>
  <script type='text/javascript' src='<?=$ADMIN_PATH?>js/forms.js?<?=$LAST_LOCAL_PATCH?>'></script>
  <script type='text/javascript' src='<?=$ADMIN_PATH?>js/sitemap.js?<?=$LAST_LOCAL_PATCH?>'></script>
  <script type='text/javascript' src='<?=$ADMIN_PATH?>js/remind_save.js?<?=$LAST_LOCAL_PATCH?>'></script>
  <script type='text/javascript' src='<?=$nc_core->NC_JQUERY_PATH?>'></script>
  <?=$module_js?>


  <!-- для диалога генерации альтернативных форм -->
  <script type='text/javascript'>
    var SUB_FOLDER = "<?=$SUB_FOLDER?>";
    var NETCAT_PATH = "<?=$SUB_FOLDER.$HTTP_ROOT_PATH?>";
    var ADMIN_PATH = "<?=$ADMIN_PATH?>";
    var ADMIN_LANG = "<?=MAIN_LANG?>";
    var NC_CHARSET = "<?=$nc_core->NC_CHARSET?>";
    var ICON_PATH = "<?=$ADMIN_TEMPLATE?>" + "img/";
  </script>
  
  <?=($GLOBALS["BBCODE"] ? "<script type='text/javascript' src='".$ADMIN_PATH."js/bbcode.js'></script>" : "")?>
  <?php if ($GLOBALS["AJAX_SAVER"]) { ?>
  <script type='text/javascript'>
    var formAsyncSaveEnabled = true;
    var NETCAT_HTTP_REQUEST_SAVING = "<?=str_replace('"', "&quot;", NETCAT_HTTP_REQUEST_SAVING)?>";
    var NETCAT_HTTP_REQUEST_SAVED  = "<?=str_replace('"', "&quot;", NETCAT_HTTP_REQUEST_SAVED )?>";
    var NETCAT_HTTP_REQUEST_ERROR  = "<?=str_replace('"', "&quot;", NETCAT_HTTP_REQUEST_ERROR )?>";
  </script>
  <?php }
  else { ?>
  <script type='text/javascript'>var formAsyncSaveEnabled = false;</script>
  <?php } ?>

  </head>
  <body class='admin_form' id='MainViewBody'>


  <?php

}


function EndHtml () {
  global $UI_CONFIG;

  // saved via XMLHttpRequest
  if ($_POST["NC_HTTP_REQUEST"]) {
    ob_end_clean();
    // [выкинуть ответ]
    if ($GLOBALS["_RESPONSE"]) {
      print nc_array_json($GLOBALS["_RESPONSE"]);
    }
    exit;
  }


  if ($GLOBALS["AJAX_SAVER"]) { ?>
    <div class='save_hint'><?=NETCAT_HTTP_REQUEST_HINT?></div>
  <?php }

  if ( is_object($UI_CONFIG) && method_exists($UI_CONFIG, 'to_json') ) {
    print $UI_CONFIG->to_json();
  }
  
  ?>
  </body>
  </html>
  <?php
}


function GetTemplateDescription ($TemplateID) {
 global $db;
 
 return $db->get_var("SELECT `Description` FROM Template WHERE `Template_ID` = '".intval($TemplateID)."'");
}


function TemplateChildrenNumber ($TemplateID) {
  global $db;
  
  return $db->get_var("SELECT count(Template_ID) FROM `Template` WHERE `Parent_Template_ID` = '".intval($TemplateID)."'");
}

?>