<?php

/* $Id: page.php 4315 2011-03-09 07:57:49Z kx $ */

/**
 * 
 */
class nc_search_area_page extends nc_search_area_sub {

  protected $include_children = false;

  protected function get_id() {
    return null;
  }

  protected function get_path() {
    return (strpos($this->url, "://") ? parse_url($this->url, PHP_URL_PATH) : $this->url);
  }

  public function to_string() {
    return $this->get_path();
  }

  public function get_sql_condition() {
    $q = array();
    foreach ($this->get_sites() as $site) { $q[] = $site->get_sql_condition(); }
    $path = nc_search_util::db_escape($this->get_path());
    if ($this->include_children || $this->include_descendants) { $q[] = "`Path` LIKE '$path%'"; }
                                                          else { $q[] = "`Path` = '$path'"; }
    return "(" . join(" AND ", $q) . ")";
  }

  public function get_field_condition() {
    return '""';
  }

  public function get_description() {
    $urls = $this->get_urls();
    return sprintf(NETCAT_MODULE_SEARCH_ADMIN_RULE_AREA_DESCRIPTION_PAGE, $urls[0], $this->get_path());
  }
}
