<?php

/* $Id: parser.php 4328 2011-03-14 13:07:58Z kx $ */

/**
 * 
 */
interface nc_search_document_parser extends nc_search_extension {
  
  /**
   * Загрузить документ.
   * Данный метод должен использоваться перед вызовом остальных методов.
   * (Парсер не создаётся для каждого документа для того, чтобы для подключения
   * парсеров для различных типов документов можно было использовать extension
   * manager — соответственно, парсер должен реализовывать интерфейс nc_search_extension).
   * @param nc_search_indexer_crawler_response $response
   */
  public function load(nc_search_indexer_crawler_response $response);

  /**
   * @param string $content
   * @return boolean
   */
  public function should_index();
  
  /**
   * @return nc_search_document
   */
  
  public function get_document();
  
  /**
   * @param string $content
   * @return array  all links
   */
  public function extract_links();
  
}
